SELECT
  O.OrderID,
  O.CustomerID,
  D.ProductID,
  D.UnitPrice
FROM
  Orders O
  LEFT JOIN [Order Details] D ON D.OrderID=O.OrderID 
    AND ProductID IN (30,4)     
WHERE
  O.ShipCountry='Brazil'  
  
/* If the "ProductID In (30,4)" criteria were ANDed to the 
WHERE clause it would have the effect of turning the 
"LEFT OUTER JOIN" into a "FULL INNER JOIN" 
If this construct is not permitted (and some SQL 
implementations do not) then a sub-query would be 
necessary if LEFT JOIN behaviour was desired*/
