/* LEFT OUTER JOIN, recommend use as your default */ 

SELECT
  *
FROM
  one O
  LEFT OUTER JOIN two T ON T.CustomerID=O.CustomerID

/* LEFT OUTER JOIN, abbreviated version */ 

SELECT
  *
FROM
  one O
  LEFT JOIN two T ON T.CustomerID=O.CustomerID


/* INNER JOIN, the default join.  Second most useful after LEFT OUTER JOIN */

SELECT
  *
FROM
  one O
  INNER JOIN two T ON T.CustomerID=O.CustomerID

/* INNER JOIN, abbreviated version, just "JOIN" as it is the default */

SELECT
  *
FROM
  one O
  JOIN two T ON T.CustomerID=O.CustomerID


/* FULL OUTER JOIN, Used rarely, but very useful when required */

SELECT
  *
FROM
  one O
  FULL OUTER JOIN two T ON T.CustomerID=O.CustomerID

/* FULL OUTER JOIN, abbreviated version */

SELECT
  *
FROM
  one O
  FULL JOIN two T ON T.CustomerID=O.CustomerID
